This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445994 - avc: denied { setsched } for pid=13779 comm="audispd"
avc: denied { setsched } for pid=13779 comm="audispd"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-11 07:46 EDT by Robert Scheck
Modified: 2008-05-17 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.3.1-51
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 15:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-05-11 07:46:31 EDT
Description of problem:
type=DAEMON_START msg=audit(1210501825.949:6223): auditd start, ver=1.7.3
format=raw kernel=2.6.24.3-12.fc8 auid=500 pid=13777 res=success
type=AVC msg=audit(1210501825.951:260920): avc:  denied  { setsched } for 
pid=13779 comm="audispd" scontext=unconfined_u:system_r:audisp_t:s0
tcontext=unconfined_u:system_r:audisp_t:s0 tclass=process
type=SYSCALL msg=audit(1210501825.951:260920): arch=40000003 syscall=97
success=yes exit=0 a0=0 a1=0 a2=fffffff8 a3=ffffffc8 items=0 ppid=13777
pid=13779 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="audispd" exe="/sbin/audispd"
subj=unconfined_u:system_r:audisp_t:s0 key=(null)

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-49
audit-1.7.3-1

Actual results:
AVC denied

Expected results:
No AVC denied.
Comment 1 Daniel Walsh 2008-05-13 11:45:36 EDT
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-51.fc9.noarch
Comment 2 Bug Zapper 2008-05-14 06:59:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Robert Scheck 2008-05-17 15:28:13 EDT
Verified to work in 3.3.1-51, thus closing now. Thank you.

Note You need to log in before you can comment on or make changes to this bug.